Qt 5.6 | Qt 3D | C++ Classes | QRenderTarget

Qt 5.6.3 Reference Documentation

# QRenderTarget Class

(Qt3DRender::QRenderTarget)

Inherits: | Qt3DCore::QComponent

- List of all members, including inherited members

## Public Functions

| QRenderTarget(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QRenderTarget()
void | addAttachment(QRenderAttachment *attachment)
QList<QRenderAttachment *> | attachments() const
void | removeAttachment(QRenderAttachment *attachment)

- 2 public functions inherited from Qt3DCore::QComponent
- 6 public functions inherited from Qt3DCore::QNode

## Protected Functions

| QRenderTarget(QRenderTargetPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)
void | copy(const Qt3DCore::QNode *ref)

- 1 protected function inherited from Qt3DCore::QComponent
- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 property inherited from Qt3DCore::QComponent
- 2 properties inherited from Qt3DCore::QNode
- 1 public slot inherited from Qt3DCore::QComponent
- 2 public slots inherited from Qt3DCore::QNode
- 2 signals inherited from Qt3DCore::QComponent
- 2 signals inherited from Qt3DCore::QNode
- 1 static protected member inherited from Qt3DCore::QNode

## Member Function Documentation

### QRenderTarget::QRenderTarget(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QRenderTarget.

### `[protected]` QRenderTarget::QRenderTarget(QRenderTargetPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)

Copy constructor.

### QRenderTarget::~QRenderTarget()

Destroys the instance of QRenderTarget.

### void QRenderTarget::addAttachment(QRenderAttachment *attachment)

### QList<QRenderAttachment *> QRenderTarget::attachments() const

### `[protected]` void QRenderTarget::copy(const Qt3DCore::QNode *ref)

### void QRenderTarget::removeAttachment(QRenderAttachment *attachment)